using System;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            double n, s, maxPi, Ai, Pi;
            n = Convert.ToDouble(Console.ReadLine());
            s = 0;
            maxPi = 100;
            for (int i = 1; i <= n; i++)
            {
                var x = Console.ReadLine().Split();
                Ai = double.Parse(x[0]);
                Pi = double.Parse(x[1]);
                if (Pi < maxPi && Pi >= 50)
                {
                    maxPi = Pi;
                    s += Ai;
                }
                else if (maxPi == 100)
                {
                    maxPi = Pi;
                    s += Ai;
                }

            }
            Console.WriteLine(s * maxPi / 100);
        }
    }
}